defmodule Feedparser.Mixfile do
  use Mix.Project

  def project do
    [app: :feedparser,
     version: "0.0.3",
     elixir: ">= 0.14.1",
     deps: deps,
     package: package]
  end

  # Configuration for the OTP application
  #
  # Type `mix help compile.app` for more information
  def application do
    [applications: []]
  end

  # Dependencies can be hex.pm packages:
  #
  #   {:mydep, "~> 0.3.0"}
  #
  # Or git/path repositories:
  #
  #   {:mydep, git: "https://github.com/elixir-lang/mydep.git", tag: "0.1"}
  #
  # Type `mix help deps` for more examples and options

  defp deps do
    [{:erlsom, git: "https://github.com/willemdj/erlsom"},
     {:httpoison, git: "https://github.com/edgurgel/httpoison", only: :test}]
  end

  defp package do
    [licenses: ["MIT"],
     description: "Discover and parse RSS and Atom feeds",
     links: [{ "GitHub", "https://github.com/l3kn/Elixir-Feedparser" } ]]
  end
end
